
public class Ficha {
	
	public boolean activo;
    public boolean seleccionada;
    public int numcasilla;
    //Para acceder al identificador de la ficha, 
    //lo hacemosa traves del atributo casillas de Tablero 
      
    public Ficha(int numero)
    {
        activo = true;
        seleccionada = false;
        numcasilla = numero;
    }
  
    public void desactivarFicha() 
    {
        activo = false;
    }
    public void activarFicha() 
    {
        activo = true;
    }

    public void seleccionar()
    {
        seleccionada = true;
    }

    public void deseleccionar()
    {
        seleccionada = false;
    }

    public void actualizarCasillaFicha(int numcasilla)
    {
    	seleccionada = false;
        this.numcasilla = numcasilla;
    }
    
    public void cambiarCasilla(int numero)
    {
        numcasilla = numero;
    }

}
